> For the complete documentation index, see [llms.txt](https://docs.swivel.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.swivel.finance/swivel-v2.0.0/litepaper/zero-coupon-tokens/exiting-selling-zctokens.md).

# Exiting/Selling zcTokens

As rates fluctuate, active market participants may require the ability to fluidly move in and out of positions.

To facilitate this market participation, Swivel provides the ability to frictionlessly exit or sell a zcToken position.

Exiting zcTokens early by purchasing nTokens and then redeeming for underlying:

**Alice has 1000 zcUSDC.**\
**Alice fills Bob's order, purchasing 1000 nTokens.**\
**Alice redeems 1000 zcUSDC and 1000 nUSDC for 1000 USDC and then pays Bob 50 USDC.**\
**This leaves Alice with 950 USDC.**

![](/files/-McumIYiNN9vcOFXwnAn)

zcTokens can also be sold to counterparties looking to take fixed-yield positions through the orderbook:

**Alice has 1000 zcUSDC.**\
**Alice fills Diane's order, in the process Alice splitting Diane's 1000 USDC into zcUSDC and nUSDC.**\
**Alice purchases 1000 nUSDC from Diane and redeems her 1000 zcUSDC + 1000 nUSDC for 1000 USDC.**\
**Alice then pays Diane a 50 USDC premium for the purchased nUSDC.**\
**This leaves Alice with 950 USDC.**\
\&#xNAN;*(Simplified to 1000 zcUSDC <-> 950 USDC)*

![Selling zcTokens to initiating fixed-yield counterparties.](/files/-Md01i1kvSDys3PmhpSM)

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.swivel.finance/swivel-v2.0.0/litepaper/zero-coupon-tokens/exiting-selling-zctokens.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
